Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.context.def
Class VariableAccess

    java.lang.Object
      org.jbpm.context.def.VariableAccess

All Implemented Interfaces:
  java.io.Serializable

    public class VariableAccess

extends java.lang.Object
implements java.io.Serializable

specifies access to a variable. Variable access is used in 3 situations: 1) process-state 2) script 3) task controllers

See Also:
  Serialized Form

Field Summary
`protected Access` | `access`
`protected java.lang.String` | `mappedName`
`protected java.lang.String` | `variableName`

Constructor Summary
`VariableAccess()`
`VariableAccess(java.lang.String variableName, java.lang.String access, java.lang.String mappedName)`

Method Summary
`Access` | `getAccess()` specifies a comma separated list of access literals {read, write, required}.
`java.lang.String` | `getMappedName()` the mapped name.
`java.lang.String` | `getVariableName()`
`boolean` | `isLock()`
`boolean` | `isReadable()`
`boolean` | `isRequired()`
`boolean` | `isWritable()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### variableName

    protected java.lang.String variableName

### access

    protected Access access

### mappedName

    protected java.lang.String mappedName

Constructor Detail

### VariableAccess

    public VariableAccess()

### VariableAccess

    public VariableAccess(java.lang.String variableName,
                          java.lang.String access,
                          java.lang.String mappedName)

Method Detail

### getMappedName

    public java.lang.String getMappedName()

  the mapped name. The mappedName defaults to the variableName in case no mapped name is specified.

### getAccess

    public Access getAccess()

  specifies a comma separated list of access literals {read, write, required}.

### getVariableName

    public java.lang.String getVariableName()

### isReadable

    public boolean isReadable()

### isWritable

    public boolean isWritable()

### isRequired

    public boolean isRequired()

### isLock

    public boolean isLock()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD